## org.eclipse.jetty.websocket
Class WebSocketGeneratorD01

    java.lang.Object
      org.eclipse.jetty.websocket.WebSocketGeneratorD01

All Implemented Interfaces:
  WebSocketGenerator

    public class WebSocketGeneratorD01

extends Object
implements WebSocketGenerator

WebSocketGenerator. This class generates websocket packets. It is fully synchronized because it is likely that async threads will call the addMessage methods while other threads are flushing the generator.

Constructor Summary
`WebSocketGeneratorD01(WebSocketBuffers buffers, EndPoint endp)`

Method Summary
`void` `addFragment(boolean more, byte opcode, byte[] content, int offset, int length, int blockFor)`
`void` `addFrame(byte opcode, byte[] content, int blockFor)`
`void` `addFrame(byte opcode, byte[] content, int offset, int length, int blockFor)`
`void` `addFrame(byte frame, String content, int blockFor)`
`int` `flush()`
`int` `flush(int blockFor)`
`boolean` `isBufferEmpty()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebSocketGeneratorD01

    public WebSocketGeneratorD01(WebSocketBuffers buffers,
                                 EndPoint endp)

Method Detail

### addFrame

    public void addFrame(byte opcode,
                         byte[] content,
                         int blockFor)
                  throws IOException

  Throws:
    `IOException`

### addFrame

    public void addFrame(byte opcode,
                         byte[] content,
                         int offset,
                         int length,
                         int blockFor)
                  throws IOException

  Specified by:
    `addFrame` in interface `WebSocketGenerator`
  Throws:
    `IOException`

### addFragment

    public void addFragment(boolean more,
                            byte opcode,
                            byte[] content,
                            int offset,
                            int length,
                            int blockFor)
                     throws IOException

  Specified by:
    `addFragment` in interface `WebSocketGenerator`
  Throws:
    `IOException`

### addFrame

    public void addFrame(byte frame,
                         String content,
                         int blockFor)
                  throws IOException

  Specified by:
    `addFrame` in interface `WebSocketGenerator`
  Throws:
    `IOException`

### flush

    public int flush(int blockFor)
              throws IOException

  Specified by:
    `flush` in interface `WebSocketGenerator`
  Throws:
    `IOException`

### flush

    public int flush()
              throws IOException

  Specified by:
    `flush` in interface `WebSocketGenerator`
  Throws:
    `IOException`

### isBufferEmpty

    public boolean isBufferEmpty()

  Specified by:
    `isBufferEmpty` in interface `WebSocketGenerator`

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.